Bug 1278892 - [abrt] dnfdaemon: connection.py:651:call_blocking:dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: Connection ":1.89" is not allowed to own the service "org.baseurl.DnfSystem" due to security policies in the configuration file
[abrt] dnfdaemon: connection.py:651:call_blocking:dbus.exceptions.DBusExcepti...
Status: CLOSED DUPLICATE of bug 1280181
Product: Fedora
Classification: Fedora
Component: dnfdaemon (Show other bugs)
rawhide
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:2e2960c6e82288ef8505f0c125f...
:
Depends On: 1285991
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-06 11:43 EST by Veteran
Modified: 2015-11-28 10:46 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-28 10:46:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.58 KB, text/plain)
2015-11-06 11:43 EST, Veteran
no flags Details
File: environ (2.54 KB, text/plain)
2015-11-06 11:43 EST, Veteran
no flags Details
screenshot (141.39 KB, image/png)
2015-11-25 10:57 EST, Veteran
no flags Details

  None (edit)
Description Veteran 2015-11-06 11:43:43 EST
Description of problem:

after manually running
$ sudo /usr/share/dnfdaemon/dnfdaemon-system -d -v --notimeout

I get a popup which reads:

DNF root backend was not authorized
Yum Extender will exit

If I run sudo yumex-dnf and run it as root it runs as expected.

Notes:
Linux localhost.localdomain 4.4.0-0.rc0.git2.1.fc24.i686 #1 SMP Wed Nov 4 18:35:57 UTC 2015 i686 i686 i386 GNU/Linux

installed from Fedora-Live-LXDE-i686-rawhide-20151105.iso
on a virtualbox 5.0.8 virtual machine
1024mb memory
10GB virtual disk

To duplicate this problem:
Install the iso
dnf install yumex-dnf
sudo /usr/share/dnfdaemon/dnfdaemon-system -d -v --notimeout
select Yumex-DNF from the Administration menu


Version-Release number of selected component:
dnfdaemon-0.3.10-1.fc24

Additional info:
reporter:       libreport-2.6.3
cmdline:        /usr/bin/python3 -tt /usr/share/dnfdaemon/dnfdaemon-system -d -v --notimeout
executable:     /usr/share/dnfdaemon/dnfdaemon-system
kernel:         4.4.0-0.rc0.git2.1.fc24.i686
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
connection.py:651:call_blocking:dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: Connection ":1.89" is not allowed to own the service "org.baseurl.DnfSystem" due to security policies in the configuration file

Traceback (most recent call last):
  File "/usr/share/dnfdaemon/dnfdaemon-system", line 765, in <module>
    main()
  File "/usr/share/dnfdaemon/dnfdaemon-system", line 758, in main
    yd = DnfDaemon()
  File "/usr/share/dnfdaemon/dnfdaemon-system", line 63, in __init__
    bus_name = dbus.service.BusName(DAEMON_ORG, bus=dbus.SystemBus())
  File "/usr/lib/python3.4/site-packages/dbus/service.py", line 133, in __new__
    retval = bus.request_name(name, name_flags)
  File "/usr/lib/python3.4/site-packages/dbus/bus.py", line 303, in request_name
    'su', (name, flags))
  File "/usr/lib/python3.4/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: Connection ":1.89" is not allowed to own the service "org.baseurl.DnfSystem" due to security policies in the configuration file

Local variables in innermost frame:
get_args_opts: {'byte_arrays': False}
dbus_interface: 'org.freedesktop.DBus'
byte_arrays: False
message: <dbus.lowlevel.MethodCallMessage path: /org/freedesktop/DBus, iface: org.freedesktop.DBus, member: RequestName dest: org.freedesktop.DBus>
object_path: '/org/freedesktop/DBus'
timeout: -1.0
signature: 'su'
args: ('org.baseurl.DnfSystem', 0)
method: 'RequestName'
bus_name: 'org.freedesktop.DBus'
self: <dbus._dbus.SystemBus (system) at 0xb5302a1c>
kwargs: {}
Comment 1 Veteran 2015-11-06 11:43:47 EST
Created attachment 1090724 [details]
File: backtrace
Comment 2 Veteran 2015-11-06 11:43:48 EST
Created attachment 1090725 [details]
File: environ
Comment 3 Tim Lauridsen 2015-11-25 08:14:42 EST
Look like the is a problem on the system with PolicyKit setup on the system.

It should give you a dialog there ask for password.

Does it work with other app need elevated privileges. 

Ex. the firewall config tool
Comment 4 Veteran 2015-11-25 10:35:50 EST
I have never had any popup, it fails immediately.
Comment 5 Veteran 2015-11-25 10:39:04 EST
Also, if I open the firewall config tool, a popup appears which correctly authenticates me and I can change firewall rules.

Vet
Comment 6 Veteran 2015-11-25 10:42:19 EST
And regular Yum Extender same thing - a popup appears which correctly authenticates me.

The problem is ONLY with Yumex-DNF.

Vet
Comment 7 Veteran 2015-11-25 10:57 EST
Created attachment 1098881 [details]
screenshot

Yumex-DNF pops up these two errors as well.
Comment 8 Tim Lauridsen 2015-11-26 13:45:31 EST
Look like the same issues as in 

https://bugzilla.redhat.com/show_bug.cgi?id=1280181
Comment 9 Tim Lauridsen 2015-11-28 10:46:59 EST

*** This bug has been marked as a duplicate of bug 1280181 ***

Note You need to log in before you can comment on or make changes to this bug.